<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__wcm__ip__address__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_wcm_ip_address_t</compoundname>
    <includes local="no">cy_wcm.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__wcm__ip__address__t_1a7c275791b147e4ccd77ad178dd25bf81" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__wcm__enums_1ga24d3def17207a3c64b62fb4b8a44a7fc">cy_wcm_ip_version_t</ref></type>
        <definition>cy_wcm_ip_version_t cy_wcm_ip_address_t::version</definition>
        <argsstring />
        <name>version</name>
        <briefdescription>
<para>IP version. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="377" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="377" />
      </memberdef>
      <memberdef id="structcy__wcm__ip__address__t_1acabea09ec2785e76f7d867a74dd6afd7" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_wcm_ip_address_t::v4</definition>
        <argsstring />
        <name>v4</name>
        <briefdescription>
<para>IPv4 address in network byte order. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="380" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="380" />
      </memberdef>
      <memberdef id="structcy__wcm__ip__address__t_1a969244fd2e8b1da5fc07b75c4811e33c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_wcm_ip_address_t::v6[4]</definition>
        <argsstring>[4]</argsstring>
        <name>v6</name>
        <briefdescription>
<para>IPv6 address in network byte order. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="381" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="381" />
      </memberdef>
      <memberdef id="structcy__wcm__ip__address__t_1ac5cf849d1ad2018fa370b60e13b0024c" kind="variable" mutable="no" prot="public" static="no">
        <type>union cy_wcm_ip_address_t::@0</type>
        <definition>union cy_wcm_ip_address_t::@0  cy_wcm_ip_address_t::ip</definition>
        <argsstring />
        <name>ip</name>
        <briefdescription>
<para>IP address bytes. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="382" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure used to receive the IP address information from <ref kindref="member" refid="group__group__wcm__functions_1ga9e8e04210ba0fc7429473d28d4643c7c">cy_wcm_connect_ap</ref>. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="383" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="375" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="376" />
    <listofallmembers>
      <member prot="public" refid="structcy__wcm__ip__address__t_1ac5cf849d1ad2018fa370b60e13b0024c" virt="non-virtual"><scope>cy_wcm_ip_address_t</scope><name>ip</name></member>
      <member prot="public" refid="structcy__wcm__ip__address__t_1acabea09ec2785e76f7d867a74dd6afd7" virt="non-virtual"><scope>cy_wcm_ip_address_t</scope><name>v4</name></member>
      <member prot="public" refid="structcy__wcm__ip__address__t_1a969244fd2e8b1da5fc07b75c4811e33c" virt="non-virtual"><scope>cy_wcm_ip_address_t</scope><name>v6</name></member>
      <member prot="public" refid="structcy__wcm__ip__address__t_1a7c275791b147e4ccd77ad178dd25bf81" virt="non-virtual"><scope>cy_wcm_ip_address_t</scope><name>version</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>